package com.artfess.yhxt.specialcheck.manager;

import com.artfess.base.query.PageList;
import com.artfess.base.query.QueryFilter;
import com.artfess.base.manager.BaseManager;
import com.artfess.yhxt.specialcheck.model.BizMqiCheckData;
import com.artfess.yhxt.specialcheck.vo.BizMqiCheckDataVo;

import java.util.List;

/**
 * MQI检查数据表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author wangping
 * @since 2021-08-10
 */
public interface BizMqiCheckDataManager extends BaseManager<BizMqiCheckData> {

    PageList<BizMqiCheckData> queryBizMqiCheckData(QueryFilter<BizMqiCheckData> queryFilter);

    BizMqiCheckDataVo getBizBridgeSpecialById(String id);

    void saveBizMqiCheckDataVo(BizMqiCheckDataVo vo);

    void saveVo(BizMqiCheckDataVo vo);

    BizMqiCheckDataVo getVo(String id);
}
